# Yandex Music Download

![Static Badge](https://img.shields.io/badge/Powered%20by-csasq-blue)
![Static Badge](https://img.shields.io/badge/Python-3.9%2B-blue)
![Static Badge](https://img.shields.io/badge/License-CC%20BY--NC%204.0-blue)

Консольное приложение для скачивания понравившихся треков из Яндекс Музыки.

## Быстрый старт

Установите библиотеки, необходимые для запуска приложения.

```bash
pip install -r requirements.txt
```

Создайте файл конфигурации `config.ini` в корневой директории проекта.

```ini
[Download]
#dirname = music                                # Название директории, в которую будут сохраняться файлы
#filename = %(artists)s — %(title)s.%(codec)s   # Форматируемая строка названия файла
#escape_symbols = \/:*?"<>|                     # Символы, которые будут удалены из названия файла
#codec = mp3                                    # Доступные значения: mp3, aac
#bitrate = 320                                  # Доступные значения: 64, 128, 192, 320
#min_delay = 0                                  # Минимальная задержка перед скачиванием следующего трека
#max_delay = 0                                  # Максимальная задержка перед скачиванием следующего трека

[Yandex]
token =                                         # Токен доступа Яндекс Музыки, полученный с помощью расширения для браузера
                                                # https://chromewebstore.google.com/detail/yandex-music-token/lcbjeookjibfhjjopieifgjnhlegmkib
```

Запустите приложение.

```bash
python main.py
```
